#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n, x, mini, maxi, k;
    scanf("%d%d",&n,&x);
    mini = x;
    maxi = x;
for(int i = 0; i<n;i++)
    {
        scanf("%d",&k);
        mini = min(mini,k);
        maxi = max(maxi,k);
    }
    int y = abs(maxi-x) , g = abs(mini-x);
    int r = y + g + min(y,g);
    printf("%d",r);


    return 0;
}